{% from '_sass.jinja' import sass %}
{% from '_i18n.jinja' import translatable %}

<head>
    <meta charset="utf-8" />
    <meta name="pdfkit-margin-top" content="0"/>
    <meta name="pdfkit-margin-bottom" content="0"/>
    <meta name="pdfkit-margin-left" content="0"/>
    <meta name="pdfkit-margin-right" content="0"/>
    <meta name="pdfkit-page-size" content="A4"/>
    <meta name="pdfkit-orientation" content="Landscape"/>
    <meta name="pdfkit-dpi" content="400"/>

    <link href="{{ font.link }}" rel="stylesheet">
    <style>
    @page {
        size: A4 landscape;
        margin: 0;
    }

    body {
        margin: 0;
        font-family: '{{ font.name }}', sans-serif
    }

    .page {
        width: 100%;
        height: 10.33in;    
        font-size: 15px;
    }

    @media print {
        .page {
            page-break-before: always;
        }
    }

    h1 {
        color: #007799;
        font-size: 57px;
        font-weight: 900;
        margin: 0;
        padding: 0;
    }

    h2 {
        color: #000;
        font-size: 21px;
        font-weight: 900;
        margin: 0;
        padding: 0;
    }

    a {
        color: #007799;
    }
    </style>
</head>

{% macro page(filename) -%}
    <div class="page">
        {% include filename %}
    </div>
{%- endmacro %}

<body>
    {{ page('pages/title.jinja') }}
    {{ page('pages/summary.jinja') }}
    {{ page('pages/technologies.jinja') }}
    
    {% for experience in experiences %}
    <div class="page">
        {% include 'pages/experience.jinja' %}  {# Specific experience passed to page through the context #} 
    </div>
    {% endfor %}

    {{ page('pages/about_me.jinja') }}
    {{ page('pages/contacts.jinja') }}
</body>